"""

Python mappings

"""

PSRTYPE_MAPPINGS = {
    'A03': 'Mixed',
    'A04': 'Generation',
    'A05': 'Load',
    'B01': 'Biomass',
    'B02': 'Fossil Brown coal/Lignite',
    'B03': 'Fossil Coal-derived gas',
    'B04': 'Fossil Gas',
    'B05': 'Fossil Hard coal',
    'B06': 'Fossil Oil',
    'B07': 'Fossil Oil shale',
    'B08': 'Fossil Peat',
    'B09': 'Geothermal',
    'B10': 'Hydro Pumped Storage',
    'B11': 'Hydro Run-of-river and poundage',
    'B12': 'Hydro Water Reservoir',
    'B13': 'Marine',
    'B14': 'Nuclear',
    'B15': 'Other renewable',
    'B16': 'Solar',
    'B17': 'Waste',
    'B18': 'Wind Offshore',
    'B19': 'Wind Onshore',
    'B20': 'Other',
    'B21': 'AC Link',
    'B22': 'DC Link',
    'B23': 'Substation',
    'B24': 'Transformer'}


BZN = {
    'AL' : { 'code':            '10YAL-KESH-----5', 'info' : 'Albania, OST BZ / CA / MBA', 'zone' :                  'Europe/Tirane'},
    'AT' : { 'code':            '10YAT-APG------L', 'info' : 'Austria, APG BZ / CA / MBA', 'zone' :                  'Europe/Vienna'},
    'BY' : { 'code':            '10Y1001A1001A51S', 'info' : 'Belarus BZ / CA / MBA', 'zone' :                       'Europe/Minsk'},
    'BE' : { 'code':            '10YBE----------2', 'info' : 'Belgium, Elia BZ / CA / MBA', 'zone' :                 'Europe/Brussels'},
    'BA' : { 'code':            '10YBA-JPCC-----D', 'info' : 'Bosnia Herzegovina, NOS BiH BZ / CA / MBA', 'zone' :   'Europe/Sarajevo'},
    'BG' : { 'code':            '10YCA-BULGARIA-R', 'info' : 'Bulgaria, ESO BZ / CA / MBA', 'zone' :                 'Europe/Sofia'},
    'HR' : { 'code':            '10YHR-HEP------M', 'info' : 'Croatia, HOPS BZ / CA / MBA', 'zone' :                 'Europe/Zagreb'},
    'CY' : { 'code':            '10YCY-1001A0003J', 'info' : 'Cyprus, Cyprus TSO BZ / CA / MBA', 'zone' :            'Asia/Nicosia'},
    'CZ_DE_SK' : { 'code':      '10YDOM-CZ-DE-SKK', 'info' : 'BZ CZ+DE+SK BZ / BZA', 'zone' :                        'Europe/Prague'},
    'CZ' : { 'code':            '10YCZ-CEPS-----N', 'info' : 'Czech Republic, CEPS BZ / CA/ MBA', 'zone' :           'Europe/Prague'},
    'DE_AT_LU' : { 'code':      '10Y1001A1001A63L', 'info' : 'DE-AT-LU BZ', 'zone' :                                 'Europe/Berlin'},
    'DE_LU' : { 'code':         '10Y1001A1001A82H', 'info' : 'DE-LU BZ / MBA', 'zone' :                              'Europe/Berlin'},
    'DK_1' : { 'code':          '10YDK-1--------W', 'info' : 'DK1 BZ / MBA', 'zone' :                                'Europe/Copenhagen'},
    'DK_1_NO_1' : { 'code':     '46Y000000000007M', 'info' : 'DK1 NO1 BZ', 'zone' :                                  'Europe/Copenhagen'},
    'DK_2' : { 'code':          '10YDK-2--------M', 'info' : 'DK2 BZ / MBA', 'zone' :                                'Europe/Copenhagen'},
    'EE' : { 'code':            '10Y1001A1001A39I', 'info' : 'Estonia, Elering BZ / CA / MBA', 'zone' :              'Europe/Tallinn'},
    'FI' : { 'code':            '10YFI-1--------U', 'info' : 'Finland, Fingrid BZ / CA / MBA', 'zone' :              'Europe/Helsinki'},
    'MK' : { 'code':            '10YMK-MEPSO----8', 'info' : 'Former Yugoslav Republic of Macedonia, MEPSO BZ / CA / MBA', 'zone' : 'Europe/Skopje'},
    'FR' : { 'code':            '10YFR-RTE------C', 'info' : 'France, RTE BZ / CA / MBA', 'zone' :                   'Europe/Paris'},
    'GR' : { 'code':            '10YGR-HTSO-----Y', 'info' : 'Greece, IPTO BZ / CA/ MBA', 'zone' :                   'Europe/Athens'},
    'HU' : { 'code':            '10YHU-MAVIR----U', 'info' : 'Hungary, MAVIR CA / BZ / MBA', 'zone' :                'Europe/Budapest'},
    'IE_SEM' : { 'code':        '10Y1001A1001A59C', 'info' : 'Ireland (SEM) BZ / MBA', 'zone' :                      'Europe/Dublin'},
    'IT_CALA' : { 'code':       '10Y1001C--00096J', 'info' : 'IT-Calabria BZ', 'zone' :                               'Europe/Rome'},
    'IT_BRNN' : { 'code':       '10Y1001A1001A699', 'info' : 'IT-Brindisi BZ', 'zone' :                              'Europe/Rome'},
    'IT_CNOR' : { 'code':       '10Y1001A1001A70O', 'info' : 'IT-Centre-North BZ', 'zone' :                          'Europe/Rome'},
    'IT_CSUD' : { 'code':       '10Y1001A1001A71M', 'info' : 'IT-Centre-South BZ', 'zone' :                          'Europe/Rome'},
    'IT_FOGN' : { 'code':       '10Y1001A1001A72K', 'info' : 'IT-Foggia BZ', 'zone' :                                'Europe/Rome'},
    'IT_GR' : { 'code':         '10Y1001A1001A66F', 'info' : 'IT-GR BZ', 'zone' :                                    'Europe/Rome'},
    'IT_MALTA' : { 'code':      '10Y1001A1001A877', 'info' : 'IT-Malta BZ', 'zone' :                                 'Europe/Rome'},
    'IT_NORD' : { 'code':       '10Y1001A1001A73I', 'info' : 'IT-North BZ', 'zone' :                                 'Europe/Rome'},
    'IT_NORD_AT' : { 'code':    '10Y1001A1001A80L', 'info' : 'IT-North-AT BZ', 'zone' :                              'Europe/Rome'},
    'IT_NORD_CH' : { 'code':    '10Y1001A1001A68B', 'info' : 'IT-North-CH BZ', 'zone' :                              'Europe/Rome'},
    'IT_NORD_FR' : { 'code':    '10Y1001A1001A81J', 'info' : 'IT-North-FR BZ', 'zone' :                              'Europe/Rome'},
    'IT_NORD_SI' : { 'code':    '10Y1001A1001A67D', 'info' : 'IT-North-SI BZ', 'zone' :                              'Europe/Rome'},
    'IT_PRGP' : { 'code':       '10Y1001A1001A76C', 'info' : 'IT-Priolo BZ', 'zone' :                                'Europe/Rome'},
    'IT_ROSN' : { 'code':       '10Y1001A1001A77A', 'info' : 'IT-Rossano BZ', 'zone' :                               'Europe/Rome'},
    'IT_SARD' : { 'code':       '10Y1001A1001A74G', 'info' : 'IT-Sardinia BZ', 'zone' :                              'Europe/Rome'},
    'IT_SICI' : { 'code':       '10Y1001A1001A75E', 'info' : 'IT-Sicily BZ', 'zone' :                                'Europe/Rome'},
    'IT_SUD' : { 'code':        '10Y1001A1001A788', 'info' : 'IT-South BZ', 'zone' :                                 'Europe/Rome'},
    'RU_KGD' : { 'code':        '10Y1001A1001A50U', 'info' : 'Kaliningrad BZ / CA / MBA', 'zone' :                   'Europe/Kaliningrad'},
    'LV' : { 'code':            '10YLV-1001A00074', 'info' : 'Latvia, AST BZ / CA / MBA', 'zone' :                   'Europe/Riga'},
    'LT' : { 'code':            '10YLT-1001A0008Q', 'info' : 'Lithuania, Litgrid BZ / CA / MBA', 'zone' :            'Europe/Vilnius'},
    'LU_BZN' : { 'code':        '10Y1001A1001A82H', 'info' : 'Luxembourg', 'zone' :                                  'Europe/Luxembourg'},
    'MT' : { 'code':            '10Y1001A1001A93C', 'info' : 'Malta, Malta BZ / CA / MBA', 'zone' :                  'Europe/Malta'},
    'ME' : { 'code':            '10YCS-CG-TSO---S', 'info' : 'Montenegro, CGES BZ / CA / MBA', 'zone' :              'Europe/Podgorica'},
    'GB' : { 'code':            '10YGB----------A', 'info' : 'National Grid BZ / CA/ MBA', 'zone' :                  'Europe/London'},
    'GB_IFA' : { 'code':        '10Y1001C--00098F', 'info' : 'GB(IFA) BZN', 'zone' :                                 'Europe/London'},
    'GB_IFA2' : { 'code':       '17Y0000009369493', 'info' : 'GB(IFA2) BZ', 'zone' :                                 'Europe/London'},
    'GB_ELECLINK' : { 'code':   '11Y0-0000-0265-K', 'info' : 'GB(ElecLink) BZN', 'zone' :                            'Europe/London'},
    'NL' : { 'code':            '10YNL----------L', 'info' : 'Netherlands, TenneT NL BZ / CA/ MBA', 'zone' :         'Europe/Amsterdam'},
    'NO_1' : { 'code':          '10YNO-1--------2', 'info' : 'NO1 BZ / MBA', 'zone' :                                'Europe/Oslo'},
    'NO_1A' : { 'code':         '10Y1001A1001A64J', 'info' : 'NO1 A BZ', 'zone' :                                    'Europe/Oslo'},
    'NO_2' : { 'code':          '10YNO-2--------T', 'info' : 'NO2 BZ / MBA', 'zone' :                                'Europe/Oslo'},
    'NO_2_NSL' : { 'code':      '50Y0JVU59B4JWQCU', 'info' : 'NO2 NSL BZ / MBA', 'zone' :                            'Europe/Oslo'},
    'NO_2A' : { 'code':         '10Y1001C--001219', 'info' : 'NO2 A BZ', 'zone' :                                    'Europe/Oslo'},
    'NO_3' : { 'code':          '10YNO-3--------J', 'info' : 'NO3 BZ / MBA', 'zone' :                                'Europe/Oslo'},
    'NO_4' : { 'code':          '10YNO-4--------9', 'info' : 'NO4 BZ / MBA', 'zone' :                                'Europe/Oslo'},
    'NO_5' : { 'code':          '10Y1001A1001A48H', 'info' : 'NO5 BZ / MBA', 'zone' :                                'Europe/Oslo'},
    'PL_CZ' : { 'code':         '10YDOM-1001A082L', 'info' : 'PL-CZ BZA / CA', 'zone' :                              'Europe/Warsaw'},
    'PL' : { 'code':            '10YPL-AREA-----S', 'info' : 'Poland, PSE SA BZ / BZA / CA / MBA', 'zone' :          'Europe/Warsaw'},
    'PT' : { 'code':            '10YPT-REN------W', 'info' : 'Portugal, REN BZ / CA / MBA', 'zone' :                 'Europe/Lisbon'},
    'MD' : { 'code':            '10Y1001A1001A990', 'info' : 'Republic of Moldova, Moldelectica BZ/CA/MBA', 'zone' : 'Europe/Chisinau'},
    'RO' : { 'code':            '10YRO-TEL------P', 'info' : 'Romania, Transelectrica BZ / CA/ MBA', 'zone' :        'Europe/Bucharest'},
    'RU' : { 'code':            '10Y1001A1001A49F', 'info' : 'Russia BZ / CA / MBA', 'zone' :                        'Europe/Moscow'},
    'SE_1' : { 'code':          '10Y1001A1001A44P', 'info' : 'SE1 BZ / MBA', 'zone' :                                'Europe/Stockholm'},
    'SE_2' : { 'code':          '10Y1001A1001A45N', 'info' : 'SE2 BZ / MBA', 'zone' :                                'Europe/Stockholm'},
    'SE_3' : { 'code':          '10Y1001A1001A46L', 'info' : 'SE3 BZ / MBA', 'zone' :                                'Europe/Stockholm'},
    'SE_4' : { 'code':          '10Y1001A1001A47J', 'info' : 'SE4 BZ / MBA', 'zone' :                                'Europe/Stockholm'},
    'RS' : { 'code':            '10YCS-SERBIATSOV', 'info' : 'Serbia, EMS BZ / CA / MBA', 'zone' :                   'Europe/Belgrade'},
    'SK' : { 'code':            '10YSK-SEPS-----K', 'info' : 'Slovakia, SEPS BZ / CA / MBA', 'zone' :                'Europe/Bratislava'},
    'SI' : { 'code':            '10YSI-ELES-----O', 'info' : 'Slovenia, ELES BZ / CA / MBA', 'zone' :                'Europe/Ljubljana'},
    'GB_NIR' : { 'code':        '10Y1001A1001A016', 'info' : 'Northern Ireland, SONI CA', 'zone' :                   'Europe/Belfast'},
    'ES' : { 'code':            '10YES-REE------0', 'info' : 'Spain, REE BZ / CA / MBA', 'zone' :                    'Europe/Madrid'},
    'CH' : { 'code':            '10YCH-SWISSGRIDZ', 'info' : 'Switzerland, Swissgrid BZ / CA / MBA', 'zone' :        'Europe/Zurich'},
    'TR' : { 'code':            '10YTR-TEIAS----W', 'info' : 'Turkey BZ / CA / MBA', 'zone' :                        'Europe/Istanbul'},
    'UA' : { 'code':            '10Y1001C--00003F', 'info' : 'Ukraine, Ukraine BZ, MBA', 'zone' :                    'Europe/Kiev'},
    'XK' : { 'code':            '10Y1001C--00100H', 'info' : 'Kosovo/ XK CA / XK BZN', 'zone' :                      'Europe/Rome'}
}


CTA = {
    'DE_50HZ' : { 'code':       '10YDE-VE-------2', 'info' : '50Hertz CA, DE(50HzT) BZA', 'zone' :                   'Europe/Berlin'},
    'AL' : { 'code':            '10YAL-KESH-----5', 'info' : 'Albania, OST BZ / CA / MBA', 'zone' :                  'Europe/Tirane'},
    'DE_AMPRION' : { 'code':    '10YDE-RWENET---I', 'info' : 'Amprion CA', 'zone' :                                  'Europe/Berlin'},
    'AT' : { 'code':            '10YAT-APG------L', 'info' : 'Austria, APG BZ / CA / MBA', 'zone' :                  'Europe/Vienna'},
    'BY' : { 'code':            '10Y1001A1001A51S', 'info' : 'Belarus BZ / CA / MBA', 'zone' :                       'Europe/Minsk'},
    'BE' : { 'code':            '10YBE----------2', 'info' : 'Belgium, Elia BZ / CA / MBA', 'zone' :                 'Europe/Brussels'},
    'BA' : { 'code':            '10YBA-JPCC-----D', 'info' : 'Bosnia Herzegovina, NOS BiH BZ / CA / MBA', 'zone' :   'Europe/Sarajevo'},
    'BG' : { 'code':            '10YCA-BULGARIA-R', 'info' : 'Bulgaria, ESO BZ / CA / MBA', 'zone' :                 'Europe/Sofia'},
    'HR' : { 'code':            '10YHR-HEP------M', 'info' : 'Croatia, HOPS BZ / CA / MBA', 'zone' :                 'Europe/Zagreb'},
    'CWE' : { 'code':           '10YDOM-REGION-1V', 'info' : 'CWE Region', 'zone' :                                  'Europe/Brussels'},
    'CY' : { 'code':            '10YCY-1001A0003J', 'info' : 'Cyprus, Cyprus TSO BZ / CA / MBA', 'zone' :            'Asia/Nicosia'},
    'CZ' : { 'code':            '10YCZ-CEPS-----N', 'info' : 'Czech Republic, CEPS BZ / CA/ MBA', 'zone' :           'Europe/Prague'},
    'DK_CA' : { 'code':         '10Y1001A1001A796', 'info' : 'Denmark, Energinet CA', 'zone' :                       'Europe/Copenhagen'},
    'EE' : { 'code':            '10Y1001A1001A39I', 'info' : 'Estonia, Elering BZ / CA / MBA', 'zone' :              'Europe/Tallinn'},
    'FI' : { 'code':            '10YFI-1--------U', 'info' : 'Finland, Fingrid BZ / CA / MBA', 'zone' :              'Europe/Helsinki'},
    'MK' : { 'code':            '10YMK-MEPSO----8', 'info' : 'Former Yugoslav Republic of Macedonia, MEPSO BZ / CA / MBA', 'zone' : 'Europe/Skopje'},
    'FR' : { 'code':            '10YFR-RTE------C', 'info' : 'France, RTE BZ / CA / MBA', 'zone' :                   'Europe/Paris'},
    'GR' : { 'code':            '10YGR-HTSO-----Y', 'info' : 'Greece, IPTO BZ / CA/ MBA', 'zone' :                   'Europe/Athens'},
    'HU' : { 'code':            '10YHU-MAVIR----U', 'info' : 'Hungary, MAVIR CA / BZ / MBA', 'zone' :                'Europe/Budapest'},
    'IE' : { 'code':            '10YIE-1001A00010', 'info' : 'Ireland, EirGrid CA', 'zone' :                         'Europe/Dublin'},
    'IT' : { 'code':            '10YIT-GRTN-----B', 'info' : 'Italy, IT CA / MBA', 'zone' :                          'Europe/Rome'},
    'RU_KGD' : { 'code':        '10Y1001A1001A50U', 'info' : 'Kaliningrad BZ / CA / MBA', 'zone' :                   'Europe/Kaliningrad'},
    'LV' : { 'code':            '10YLV-1001A00074', 'info' : 'Latvia, AST BZ / CA / MBA', 'zone' :                   'Europe/Riga'},
    'LT' : { 'code':            '10YLT-1001A0008Q', 'info' : 'Lithuania, Litgrid BZ / CA / MBA', 'zone' :            'Europe/Vilnius'},
    'LU' : { 'code':            '10YLU-CEGEDEL-NQ', 'info' : 'Luxembourg, CREOS CA', 'zone' :                        'Europe/Luxembourg'},
    'MT' : { 'code':            '10Y1001A1001A93C', 'info' : 'Malta, Malta BZ / CA / MBA', 'zone' :                  'Europe/Malta'},
    'ME' : { 'code':            '10YCS-CG-TSO---S', 'info' : 'Montenegro, CGES BZ / CA / MBA', 'zone' :              'Europe/Podgorica'},
    'GB' : { 'code':            '10YGB----------A', 'info' : 'National Grid BZ / CA/ MBA', 'zone' :                  'Europe/London'},
    'NL' : { 'code':            '10YNL----------L', 'info' : 'Netherlands, TenneT NL BZ / CA/ MBA', 'zone' :         'Europe/Amsterdam'},
    'NO' : { 'code':            '10YNO-0--------C', 'info' : 'Norway, Norway MBA, Stattnet CA', 'zone' :             'Europe/Oslo'},
    'PL_CZ' : { 'code':         '10YDOM-1001A082L', 'info' : 'PL-CZ BZA / CA', 'zone' :                              'Europe/Warsaw'},
    'PL' : { 'code':            '10YPL-AREA-----S', 'info' : 'Poland, PSE SA BZ / BZA / CA / MBA', 'zone' :          'Europe/Warsaw'},
    'PT' : { 'code':            '10YPT-REN------W', 'info' : 'Portugal, REN BZ / CA / MBA', 'zone' :                 'Europe/Lisbon'},
    'MD' : { 'code':            '10Y1001A1001A990', 'info' : 'Republic of Moldova, Moldelectica BZ/CA/MBA', 'zone' : 'Europe/Chisinau'},
    'RO' : { 'code':            '10YRO-TEL------P', 'info' : 'Romania, Transelectrica BZ / CA/ MBA', 'zone' :        'Europe/Bucharest'},
    'RU' : { 'code':            '10Y1001A1001A49F', 'info' : 'Russia BZ / CA / MBA', 'zone' :                        'Europe/Moscow'},
    'RS' : { 'code':            '10YCS-SERBIATSOV', 'info' : 'Serbia, EMS BZ / CA / MBA', 'zone' :                   'Europe/Belgrade'},
    'SK' : { 'code':            '10YSK-SEPS-----K', 'info' : 'Slovakia, SEPS BZ / CA / MBA', 'zone' :                'Europe/Bratislava'},
    'SI' : { 'code':            '10YSI-ELES-----O', 'info' : 'Slovenia, ELES BZ / CA / MBA', 'zone' :                'Europe/Ljubljana'},
    'GB_NIR' : { 'code':        '10Y1001A1001A016', 'info' : 'Northern Ireland, SONI CA', 'zone' :                   'Europe/Belfast'},
    'ES' : { 'code':            '10YES-REE------0', 'info' : 'Spain, REE BZ / CA / MBA', 'zone' :                    'Europe/Madrid'},
    'SE' : { 'code':            '10YSE-1--------K', 'info' : 'Sweden, Sweden MBA, SvK CA', 'zone' :                  'Europe/Stockholm'},
    'CH' : { 'code':            '10YCH-SWISSGRIDZ', 'info' : 'Switzerland, Swissgrid BZ / CA / MBA', 'zone' :        'Europe/Zurich'},
    'DE_TENNET' : { 'code':     '10YDE-EON------1', 'info' : 'TenneT GER CA', 'zone' :                               'Europe/Berlin'},
    'DE_TRANSNET' : { 'code':   '10YDE-ENBW-----N', 'info' : 'TransnetBW CA', 'zone' :                               'Europe/Berlin'},
    'TR' : { 'code':            '10YTR-TEIAS----W', 'info' : 'Turkey BZ / CA / MBA', 'zone' :                        'Europe/Istanbul'},
    'UA_DOBTPP' : { 'code':     '10Y1001A1001A869', 'info' : 'Ukraine-DobTPP CTA', 'zone' :                          'Europe/Kiev'},
    'UA_BEI' : { 'code':        '10YUA-WEPS-----0', 'info' : 'Ukraine BEI CTA', 'zone' :                             'Europe/Kiev'},
    'UA_IPS' : { 'code':        '10Y1001C--000182', 'info' : 'Ukraine IPS CTA', 'zone' :                             'Europe/Kiev'},
    'XK' : { 'code':            '10Y1001C--00100H', 'info' : 'Kosovo/ XK CA / XK BZN', 'zone' :                      'Europe/Rome'}
}

CTY = {
    'AL' : { 'code':            '10YAL-KESH-----5', 'info' : 'Albania, OST BZ / CA / MBA', 'zone' :                  'Europe/Tirane'},
    'AT' : { 'code':            '10YAT-APG------L', 'info' : 'Austria, APG BZ / CA / MBA', 'zone' :                  'Europe/Vienna'},
    'BY' : { 'code':            '10Y1001A1001A51S', 'info' : 'Belarus BZ / CA / MBA', 'zone' :                       'Europe/Minsk'},
    'BE' : { 'code':            '10YBE----------2', 'info' : 'Belgium, Elia BZ / CA / MBA', 'zone' :                 'Europe/Brussels'},
    'BA' : { 'code':            '10YBA-JPCC-----D', 'info' : 'Bosnia Herzegovina, NOS BiH BZ / CA / MBA', 'zone' :   'Europe/Sarajevo'},
    'BG' : { 'code':            '10YCA-BULGARIA-R', 'info' : 'Bulgaria, ESO BZ / CA / MBA', 'zone' :                 'Europe/Sofia'},
    'HR' : { 'code':            '10YHR-HEP------M', 'info' : 'Croatia, HOPS BZ / CA / MBA', 'zone' :                 'Europe/Zagreb'},
    'CY' : { 'code':            '10YCY-1001A0003J', 'info' : 'Cyprus, Cyprus TSO BZ / CA / MBA', 'zone' :            'Asia/Nicosia'},
    'CZ' : { 'code':            '10YCZ-CEPS-----N', 'info' : 'Czech Republic, CEPS BZ / CA/ MBA', 'zone' :           'Europe/Prague'},
    'DK' : { 'code':            '10Y1001A1001A65H', 'info' : 'Denmark', 'zone' :                                     'Europe/Copenhagen'},
    'EE' : { 'code':            '10Y1001A1001A39I', 'info' : 'Estonia, Elering BZ / CA / MBA', 'zone' :              'Europe/Tallinn'},
    'FI' : { 'code':            '10YFI-1--------U', 'info' : 'Finland, Fingrid BZ / CA / MBA', 'zone' :              'Europe/Helsinki'},
    'MK' : { 'code':            '10YMK-MEPSO----8', 'info' : 'Former Yugoslav Republic of Macedonia, MEPSO BZ / CA / MBA', 'zone' : 'Europe/Skopje'},
    'FR' : { 'code':            '10YFR-RTE------C', 'info' : 'France, RTE BZ / CA / MBA', 'zone' :                   'Europe/Paris'},
    'DE' : { 'code':            '10Y1001A1001A83F', 'info' : 'Germany', 'zone' :                                     'Europe/Berlin'},
    'GR' : { 'code':            '10YGR-HTSO-----Y', 'info' : 'Greece, IPTO BZ / CA/ MBA', 'zone' :                   'Europe/Athens'},
    'HU' : { 'code':            '10YHU-MAVIR----U', 'info' : 'Hungary, MAVIR CA / BZ / MBA', 'zone' :                'Europe/Budapest'},
    'IS' : { 'code':            'IS', 'zone' :              'Iceland', 'zone' : 'Atlantic/Reykjavik'},
    'IE' : { 'code':            '10YIE-1001A00010', 'info' : 'Ireland, EirGrid CA', 'zone' :                         'Europe/Dublin'},
    'IT' : { 'code':            '10YIT-GRTN-----B', 'info' : 'Italy, IT CA / MBA', 'zone' :                          'Europe/Rome'},
    'LV' : { 'code':            '10YLV-1001A00074', 'info' : 'Latvia, AST BZ / CA / MBA', 'zone' :                   'Europe/Riga'},
    'LT' : { 'code':            '10YLT-1001A0008Q', 'info' : 'Lithuania, Litgrid BZ / CA / MBA', 'zone' :            'Europe/Vilnius'},
    'LU' : { 'code':            '10YLU-CEGEDEL-NQ', 'info' : 'Luxembourg, CREOS CA', 'zone' :                        'Europe/Luxembourg'},
    'MT' : { 'code':            '10Y1001A1001A93C', 'info' : 'Malta, Malta BZ / CA / MBA', 'zone' :                  'Europe/Malta'},
    'ME' : { 'code':            '10YCS-CG-TSO---S', 'info' : 'Montenegro, CGES BZ / CA / MBA', 'zone' :              'Europe/Podgorica'},
    'GB' : { 'code':            '10YGB----------A', 'info' : 'National Grid BZ / CA/ MBA', 'zone' :                  'Europe/London'},
    'NL' : { 'code':            '10YNL----------L', 'info' : 'Netherlands, TenneT NL BZ / CA/ MBA', 'zone' :         'Europe/Amsterdam'},
    'NO' : { 'code':            '10YNO-0--------C', 'info' : 'Norway, Norway MBA, Stattnet CA', 'zone' :             'Europe/Oslo'},
    'PL' : { 'code':            '10YPL-AREA-----S', 'info' : 'Poland, PSE SA BZ / BZA / CA / MBA', 'zone' :          'Europe/Warsaw'},
    'PT' : { 'code':            '10YPT-REN------W', 'info' : 'Portugal, REN BZ / CA / MBA', 'zone' :                 'Europe/Lisbon'},
    'MD' : { 'code':            '10Y1001A1001A990', 'info' : 'Republic of Moldova, Moldelectica BZ/CA/MBA', 'zone' : 'Europe/Chisinau'},
    'RO' : { 'code':            '10YRO-TEL------P', 'info' : 'Romania, Transelectrica BZ / CA/ MBA', 'zone' :        'Europe/Bucharest'},
    'RU' : { 'code':            '10Y1001A1001A49F', 'info' : 'Russia BZ / CA / MBA', 'zone' :                        'Europe/Moscow'},
    'RS' : { 'code':            '10YCS-SERBIATSOV', 'info' : 'Serbia, EMS BZ / CA / MBA', 'zone' :                   'Europe/Belgrade'},
    'SK' : { 'code':            '10YSK-SEPS-----K', 'info' : 'Slovakia, SEPS BZ / CA / MBA', 'zone' :                'Europe/Bratislava'},
    'SI' : { 'code':            '10YSI-ELES-----O', 'info' : 'Slovenia, ELES BZ / CA / MBA', 'zone' :                'Europe/Ljubljana'},
    'GB_NIR' : { 'code':        '10Y1001A1001A016', 'info' : 'Northern Ireland, SONI CA', 'zone' :                   'Europe/Belfast'},
    'ES' : { 'code':            '10YES-REE------0', 'info' : 'Spain, REE BZ / CA / MBA', 'zone' :                    'Europe/Madrid'},
    'SE' : { 'code':            '10YSE-1--------K', 'info' : 'Sweden, Sweden MBA, SvK CA', 'zone' :                  'Europe/Stockholm'},
    'CH' : { 'code':            '10YCH-SWISSGRIDZ', 'info' : 'Switzerland, Swissgrid BZ / CA / MBA', 'zone' :        'Europe/Zurich'},
    'TR' : { 'code':            '10YTR-TEIAS----W', 'info' : 'Turkey BZ / CA / MBA', 'zone' :                        'Europe/Istanbul'},
    'UA' : { 'code':            '10Y1001C--00003F', 'info' : 'Ukraine, Ukraine BZ, MBA', 'zone' :                    'Europe/Kiev'},
    'XK' : { 'code':            '10Y1001C--00100H', 'info' : 'Kosovo/ XK CA / XK BZN', 'zone' :                      'Europe/Rome'}
}

country_dict = { 
    'DE_50HZ' : { 'code':       '10YDE-VE-------2', 'info' : '50Hertz CA, DE(50HzT) BZA', 'zone' :                   'Europe/Berlin'},
    'AL' : { 'code':            '10YAL-KESH-----5', 'info' : 'Albania, OST BZ / CA / MBA', 'zone' :                  'Europe/Tirane'},
    'DE_AMPRION' : { 'code':    '10YDE-RWENET---I', 'info' : 'Amprion CA', 'zone' :                                  'Europe/Berlin'},
    'AT' : { 'code':            '10YAT-APG------L', 'info' : 'Austria, APG BZ / CA / MBA', 'zone' :                  'Europe/Vienna'},
    'BY' : { 'code':            '10Y1001A1001A51S', 'info' : 'Belarus BZ / CA / MBA', 'zone' :                       'Europe/Minsk'},
    'BE' : { 'code':            '10YBE----------2', 'info' : 'Belgium, Elia BZ / CA / MBA', 'zone' :                 'Europe/Brussels'},
    'BA' : { 'code':            '10YBA-JPCC-----D', 'info' : 'Bosnia Herzegovina, NOS BiH BZ / CA / MBA', 'zone' :   'Europe/Sarajevo'},
    'BG' : { 'code':            '10YCA-BULGARIA-R', 'info' : 'Bulgaria, ESO BZ / CA / MBA', 'zone' :                 'Europe/Sofia'},
    'CZ_DE_SK' : { 'code':      '10YDOM-CZ-DE-SKK', 'info' : 'BZ CZ+DE+SK BZ / BZA', 'zone' :                        'Europe/Prague'},
    'HR' : { 'code':            '10YHR-HEP------M', 'info' : 'Croatia, HOPS BZ / CA / MBA', 'zone' :                 'Europe/Zagreb'},
    'CWE' : { 'code':           '10YDOM-REGION-1V', 'info' : 'CWE Region', 'zone' :                                  'Europe/Brussels'},
    'CY' : { 'code':            '10YCY-1001A0003J', 'info' : 'Cyprus, Cyprus TSO BZ / CA / MBA', 'zone' :            'Asia/Nicosia'},
    'CZ' : { 'code':            '10YCZ-CEPS-----N', 'info' : 'Czech Republic, CEPS BZ / CA/ MBA', 'zone' :           'Europe/Prague'},
    'DE_AT_LU' : { 'code':      '10Y1001A1001A63L', 'info' : 'DE-AT-LU BZ', 'zone' :                                 'Europe/Berlin'},
    'DE_LU' : { 'code':         '10Y1001A1001A82H', 'info' : 'DE-LU BZ / MBA', 'zone' :                              'Europe/Berlin'},
    'DK' : { 'code':            '10Y1001A1001A65H', 'info' : 'Denmark', 'zone' :                                     'Europe/Copenhagen'},
    'DK_1' : { 'code':          '10YDK-1--------W', 'info' : 'DK1 BZ / MBA', 'zone' :                                'Europe/Copenhagen'},
    'DK_1_NO_1' : { 'code':     '46Y000000000007M', 'info' : 'DK1 NO1 BZ', 'zone' :                                  'Europe/Copenhagen'},
    'DK_2' : { 'code':          '10YDK-2--------M', 'info' : 'DK2 BZ / MBA', 'zone' :                                'Europe/Copenhagen'},
    'DK_CA' : { 'code':         '10Y1001A1001A796', 'info' : 'Denmark, Energinet CA', 'zone' :                       'Europe/Copenhagen'},
    'EE' : { 'code':            '10Y1001A1001A39I', 'info' : 'Estonia, Elering BZ / CA / MBA', 'zone' :              'Europe/Tallinn'},
    'FI' : { 'code':            '10YFI-1--------U', 'info' : 'Finland, Fingrid BZ / CA / MBA', 'zone' :              'Europe/Helsinki'},
    'MK' : { 'code':            '10YMK-MEPSO----8', 'info' : 'Former Yugoslav Republic of Macedonia, MEPSO BZ / CA / MBA', 'zone' : 'Europe/Skopje'},
    'FR' : { 'code':            '10YFR-RTE------C', 'info' : 'France, RTE BZ / CA / MBA', 'zone' :                   'Europe/Paris'},
    'DE' : { 'code':            '10Y1001A1001A83F', 'info' : 'Germany', 'zone' :                                     'Europe/Berlin'},
    'GR' : { 'code':            '10YGR-HTSO-----Y', 'info' : 'Greece, IPTO BZ / CA/ MBA', 'zone' :                   'Europe/Athens'},
    'HU' : { 'code':            '10YHU-MAVIR----U', 'info' : 'Hungary, MAVIR CA / BZ / MBA', 'zone' :                'Europe/Budapest'},
    'IS' : { 'code':            'IS', 'zone' :              'Iceland', 'zone' : 'Atlantic/Reykjavik'},
    'IE_SEM' : { 'code':        '10Y1001A1001A59C', 'info' : 'Ireland (SEM) BZ / MBA', 'zone' :                      'Europe/Dublin'},
    'IE' : { 'code':            '10YIE-1001A00010', 'info' : 'Ireland, EirGrid CA', 'zone' :                         'Europe/Dublin'},
    'IT' : { 'code':            '10YIT-GRTN-----B', 'info' : 'Italy, IT CA / MBA', 'zone' :                          'Europe/Rome'},
    'IT_SACO_AC' : { 'code':    '10Y1001A1001A885', 'info' : 'Italy_Saco_AC', 'zone' :                               'Europe/Rome'},
    'IT_CALA' : { 'code':   '10Y1001C--00096J', 'info' : 'IT-Calabria BZ', 'zone' :                               'Europe/Rome'},
    'IT_SACO_DC' : { 'code':    '10Y1001A1001A893', 'info' : 'Italy_Saco_DC', 'zone' :                               'Europe/Rome'},
    'IT_BRNN' : { 'code':       '10Y1001A1001A699', 'info' : 'IT-Brindisi BZ', 'zone' :                              'Europe/Rome'},
    'IT_CNOR' : { 'code':       '10Y1001A1001A70O', 'info' : 'IT-Centre-North BZ', 'zone' :                          'Europe/Rome'},
    'IT_CSUD' : { 'code':       '10Y1001A1001A71M', 'info' : 'IT-Centre-South BZ', 'zone' :                          'Europe/Rome'},
    'IT_FOGN' : { 'code':       '10Y1001A1001A72K', 'info' : 'IT-Foggia BZ', 'zone' :                                'Europe/Rome'},
    'IT_GR' : { 'code':         '10Y1001A1001A66F', 'info' : 'IT-GR BZ', 'zone' :                                    'Europe/Rome'},
    'IT_MACRO_NORTH' : { 'code': '10Y1001A1001A84D', 'info' : 'IT-MACROZONE NORTH MBA', 'zone' :                     'Europe/Rome'},
    'IT_MACRO_SOUTH' : { 'code': '10Y1001A1001A85B', 'info' : 'IT-MACROZONE SOUTH MBA', 'zone' :                     'Europe/Rome'},
    'IT_MALTA' : { 'code':      '10Y1001A1001A877', 'info' : 'IT-Malta BZ', 'zone' :                                 'Europe/Rome'},
    'IT_NORD' : { 'code':       '10Y1001A1001A73I', 'info' : 'IT-North BZ', 'zone' :                                 'Europe/Rome'},
    'IT_NORD_AT' : { 'code':    '10Y1001A1001A80L', 'info' : 'IT-North-AT BZ', 'zone' :                              'Europe/Rome'},
    'IT_NORD_CH' : { 'code':    '10Y1001A1001A68B', 'info' : 'IT-North-CH BZ', 'zone' :                              'Europe/Rome'},
    'IT_NORD_FR' : { 'code':    '10Y1001A1001A81J', 'info' : 'IT-North-FR BZ', 'zone' :                              'Europe/Rome'},
    'IT_NORD_SI' : { 'code':    '10Y1001A1001A67D', 'info' : 'IT-North-SI BZ', 'zone' :                              'Europe/Rome'},
    'IT_PRGP' : { 'code':       '10Y1001A1001A76C', 'info' : 'IT-Priolo BZ', 'zone' :                                'Europe/Rome'},
    'IT_ROSN' : { 'code':       '10Y1001A1001A77A', 'info' : 'IT-Rossano BZ', 'zone' :                               'Europe/Rome'},
    'IT_SARD' : { 'code':       '10Y1001A1001A74G', 'info' : 'IT-Sardinia BZ', 'zone' :                              'Europe/Rome'},
    'IT_SICI' : { 'code':       '10Y1001A1001A75E', 'info' : 'IT-Sicily BZ', 'zone' :                                'Europe/Rome'},
    'IT_SUD' : { 'code':        '10Y1001A1001A788', 'info' : 'IT-South BZ', 'zone' :                                 'Europe/Rome'},
    'RU_KGD' : { 'code':        '10Y1001A1001A50U', 'info' : 'Kaliningrad BZ / CA / MBA', 'zone' :                   'Europe/Kaliningrad'},
    'LV' : { 'code':            '10YLV-1001A00074', 'info' : 'Latvia, AST BZ / CA / MBA', 'zone' :                   'Europe/Riga'},
    'LT' : { 'code':            '10YLT-1001A0008Q', 'info' : 'Lithuania, Litgrid BZ / CA / MBA', 'zone' :            'Europe/Vilnius'},
    'LU' : { 'code':            '10YLU-CEGEDEL-NQ', 'info' : 'Luxembourg, CREOS CA', 'zone' :                        'Europe/Luxembourg'},
    'LU_BZN' : { 'code':        '10Y1001A1001A82H', 'info' : 'Luxembourg', 'zone' :                                  'Europe/Luxembourg'},
    'MT' : { 'code':            '10Y1001A1001A93C', 'info' : 'Malta, Malta BZ / CA / MBA', 'zone' :                  'Europe/Malta'},
    'ME' : { 'code':            '10YCS-CG-TSO---S', 'info' : 'Montenegro, CGES BZ / CA / MBA', 'zone' :              'Europe/Podgorica'},
    'GB' : { 'code':            '10YGB----------A', 'info' : 'National Grid BZ / CA/ MBA', 'zone' :                  'Europe/London'},
    'GB_IFA' : { 'code':        '10Y1001C--00098F', 'info' : 'GB(IFA) BZN', 'zone' :                                 'Europe/London'},
    'GB_IFA2' : { 'code':       '17Y0000009369493', 'info' : 'GB(IFA2) BZ', 'zone' :                                 'Europe/London'},
    'GB_ELECLINK' : { 'code':   '11Y0-0000-0265-K', 'info' : 'GB(ElecLink) BZN', 'zone' :                            'Europe/London'},
    'UK' : { 'code':            '10Y1001A1001A92E', 'info' : 'United Kingdom', 'zone' :                              'Europe/London'},
    'NL' : { 'code':            '10YNL----------L', 'info' : 'Netherlands, TenneT NL BZ / CA/ MBA', 'zone' :         'Europe/Amsterdam'},
    'NO_1' : { 'code':          '10YNO-1--------2', 'info' : 'NO1 BZ / MBA', 'zone' :                                'Europe/Oslo'},
    'NO_1A' : { 'code':         '10Y1001A1001A64J', 'info' : 'NO1 A BZ', 'zone' :                                    'Europe/Oslo'},
    'NO_2' : { 'code':          '10YNO-2--------T', 'info' : 'NO2 BZ / MBA', 'zone' :                                'Europe/Oslo'},
    'NO_2_NSL' : { 'code':      '50Y0JVU59B4JWQCU', 'info' : 'NO2 NSL BZ / MBA', 'zone' :                            'Europe/Oslo'},
    'NO_2A' : { 'code':         '10Y1001C--001219', 'info' : 'NO2 A BZ', 'zone' :                                    'Europe/Oslo'},
    'NO_3' : { 'code':          '10YNO-3--------J', 'info' : 'NO3 BZ / MBA', 'zone' :                                'Europe/Oslo'},
    'NO_4' : { 'code':          '10YNO-4--------9', 'info' : 'NO4 BZ / MBA', 'zone' :                                'Europe/Oslo'},
    'NO_5' : { 'code':          '10Y1001A1001A48H', 'info' : 'NO5 BZ / MBA', 'zone' :                                'Europe/Oslo'},
    'NO' : { 'code':            '10YNO-0--------C', 'info' : 'Norway, Norway MBA, Stattnet CA', 'zone' :             'Europe/Oslo'},
    'PL_CZ' : { 'code':         '10YDOM-1001A082L', 'info' : 'PL-CZ BZA / CA', 'zone' :                              'Europe/Warsaw'},
    'PL' : { 'code':            '10YPL-AREA-----S', 'info' : 'Poland, PSE SA BZ / BZA / CA / MBA', 'zone' :          'Europe/Warsaw'},
    'PT' : { 'code':            '10YPT-REN------W', 'info' : 'Portugal, REN BZ / CA / MBA', 'zone' :                 'Europe/Lisbon'},
    'MD' : { 'code':            '10Y1001A1001A990', 'info' : 'Republic of Moldova, Moldelectica BZ/CA/MBA', 'zone' : 'Europe/Chisinau'},
    'RO' : { 'code':            '10YRO-TEL------P', 'info' : 'Romania, Transelectrica BZ / CA/ MBA', 'zone' :        'Europe/Bucharest'},
    'RU' : { 'code':            '10Y1001A1001A49F', 'info' : 'Russia BZ / CA / MBA', 'zone' :                        'Europe/Moscow'},
    'SE_1' : { 'code':          '10Y1001A1001A44P', 'info' : 'SE1 BZ / MBA', 'zone' :                                'Europe/Stockholm'},
    'SE_2' : { 'code':          '10Y1001A1001A45N', 'info' : 'SE2 BZ / MBA', 'zone' :                                'Europe/Stockholm'},
    'SE_3' : { 'code':          '10Y1001A1001A46L', 'info' : 'SE3 BZ / MBA', 'zone' :                                'Europe/Stockholm'},
    'SE_4' : { 'code':          '10Y1001A1001A47J', 'info' : 'SE4 BZ / MBA', 'zone' :                                'Europe/Stockholm'},
    'RS' : { 'code':            '10YCS-SERBIATSOV', 'info' : 'Serbia, EMS BZ / CA / MBA', 'zone' :                   'Europe/Belgrade'},
    'SK' : { 'code':            '10YSK-SEPS-----K', 'info' : 'Slovakia, SEPS BZ / CA / MBA', 'zone' :                'Europe/Bratislava'},
    'SI' : { 'code':            '10YSI-ELES-----O', 'info' : 'Slovenia, ELES BZ / CA / MBA', 'zone' :                'Europe/Ljubljana'},
    'GB_NIR' : { 'code':        '10Y1001A1001A016', 'info' : 'Northern Ireland, SONI CA', 'zone' :                   'Europe/Belfast'},
    'ES' : { 'code':            '10YES-REE------0', 'info' : 'Spain, REE BZ / CA / MBA', 'zone' :                    'Europe/Madrid'},
    'SE' : { 'code':            '10YSE-1--------K', 'info' : 'Sweden, Sweden MBA, SvK CA', 'zone' :                  'Europe/Stockholm'},
    'CH' : { 'code':            '10YCH-SWISSGRIDZ', 'info' : 'Switzerland, Swissgrid BZ / CA / MBA', 'zone' :        'Europe/Zurich'},
    'DE_TENNET' : { 'code':     '10YDE-EON------1', 'info' : 'TenneT GER CA', 'zone' :                               'Europe/Berlin'},
    'DE_TRANSNET' : { 'code':   '10YDE-ENBW-----N', 'info' : 'TransnetBW CA', 'zone' :                               'Europe/Berlin'},
    'TR' : { 'code':            '10YTR-TEIAS----W', 'info' : 'Turkey BZ / CA / MBA', 'zone' :                        'Europe/Istanbul'},
    'UA' : { 'code':            '10Y1001C--00003F', 'info' : 'Ukraine, Ukraine BZ, MBA', 'zone' :                    'Europe/Kiev'},
    'UA_DOBTPP' : { 'code':     '10Y1001A1001A869', 'info' : 'Ukraine-DobTPP CTA', 'zone' :                          'Europe/Kiev'},
    'UA_BEI' : { 'code':        '10YUA-WEPS-----0', 'info' : 'Ukraine BEI CTA', 'zone' :                             'Europe/Kiev'},
    'UA_IPS' : { 'code':        '10Y1001C--000182', 'info' : 'Ukraine IPS CTA', 'zone' :                             'Europe/Kiev'},
    'XK' : { 'code':            '10Y1001C--00100H', 'info' : 'Kosovo/ XK CA / XK BZN', 'zone' :                      'Europe/Rome'}
}